> ## Documentation Index
> Fetch the complete documentation index at: https://docs.varchev.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Open Positions

> Get information about open margin positions.



## OpenAPI

````yaml Crypto post /getOpenPositions
openapi: 3.0.1
info:
  title: Crypto
  description: crypto
  version: 1.0.0
servers:
  - url: https://gateway.varchev.com/crypto
security:
  - apikeyAuth: []
tags:
  - name: public
  - name: private
paths:
  /getOpenPositions:
    post:
      tags:
        - private
      summary: Get Open Positions
      description: Get information about open margin positions.
      parameters:
        - name: tenantId
          in: header
          description: Tenant/Owner id
          required: true
          style: simple
          explode: false
          schema:
            type: string
        - name: Content-Type
          in: header
          required: false
          style: simple
          explode: false
          schema:
            type: string
          example: application/json
      requestBody:
        content:
          application/json:
            schema:
              properties:
                nonce:
                  type: string
                  description: '(Required) '
                  example: '-94796627'
                txid:
                  type: string
                  description: Comma delimited list of txids to limit output to
                  example: nostrud amet ut
                docalcs:
                  type: boolean
                  description: Whether to include P&L calculations
                  example: false
                consolidation:
                  type: string
                  description: Consolidate positions by market/pair
                  example: market
      responses:
        '200':
          description: OK
          headers:
            Content-Type:
              style: simple
              explode: false
              schema:
                type: string
                example: application/json
          content:
            application/json:
              schema:
                type: object
              example:
                error: []
                result:
                  TF5GVO-T7ZZ2-6NBKBI:
                    ordertxid: OLWNFG-LLH4R-D6SFFP
                    posstatus: open
                    pair: XXBTZUSD
                    time: 1605280097.8294
                    type: buy
                    ordertype: limit
                    cost: '104610.52842'
                    fee: '289.06565'
                    vol: '8.82412861'
                    vol_closed: '0.20200000'
                    margin: '20922.10568'
                    value: '258797.5'
                    net: '+154186.9728'
                    terms: 0.0100% per 4 hours
                    rollovertm: '1616672637'
                    misc: ''
                    oflags: ''
                  T24DOR-TAFLM-ID3NYP:
                    ordertxid: OIVYGZ-M5EHU-ZRUQXX
                    posstatus: open
                    pair: XXBTZUSD
                    time: 1607943827.3172
                    type: buy
                    ordertype: limit
                    cost: '145756.76856'
                    fee: '335.24057'
                    vol: '8.00000000'
                    vol_closed: '0.00000000'
                    margin: '29151.35371'
                    value: '240124.0'
                    net: '+94367.2314'
                    terms: 0.0100% per 4 hours
                    rollovertm: '1616672637'
                    misc: ''
                    oflags: ''
                  TYMRFG-URRG5-2ZTQSD:
                    ordertxid: OF5WFH-V57DP-QANDAC
                    posstatus: open
                    pair: XXBTZUSD
                    time: 1610448039.8374
                    type: buy
                    ordertype: limit
                    cost: '0.00240'
                    fee: '0.00000'
                    vol: '0.00000010'
                    vol_closed: '0.00000000'
                    margin: '0.00048'
                    value: '0'
                    net: '+0.0006'
                    terms: 0.0100% per 4 hours
                    rollovertm: '1616672637'
                    misc: ''
                    oflags: ''
                  TAFGBN-TZNFC-7CCYIM:
                    ordertxid: OF5WFH-V57DP-QANDAC
                    posstatus: open
                    pair: XXBTZUSD
                    time: 1610448039.8448
                    type: buy
                    ordertype: limit
                    cost: '2.40000'
                    fee: '0.00264'
                    vol: '0.00010000'
                    vol_closed: '0.00000000'
                    margin: '0.48000'
                    value: '3.0'
                    net: '+0.6015'
                    terms: 0.0100% per 4 hours
                    rollovertm: '1616672637'
                    misc: ''
                    oflags: ''
                  T4O5L3-4VGS4-IRU2UL:
                    ordertxid: OF5WFH-V57DP-QANDAC
                    posstatus: open
                    pair: XXBTZUSD
                    time: 1610448040.7722
                    type: buy
                    ordertype: limit
                    cost: '21.59760'
                    fee: '0.02376'
                    vol: '0.00089990'
                    vol_closed: '0.00000000'
                    margin: '4.31952'
                    value: '27.0'
                    net: '+5.4133'
                    terms: 0.0100% per 4 hours
                    rollovertm: '1616672637'
                    misc: ''
                    oflags: ''
      security:
        - default: []
components:
  securitySchemes:
    apikeyAuth:
      type: http
      scheme: apikey
    default:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://test.com
          scopes: {}

````